(function ($) {
  $(document).ready(function () {
    var modal = $('.modal');
    var closeButton = $('.modal .close');

    if (modal.length) {
      modal.fadeIn();

      modal.on('click', function () {
        modal.fadeOut(function () {
          modal.remove();
        });
      });

      $('.modal-wrapper').on('click', function (e) {
        e.stopPropagation();
      });

      closeButton.on('click', function () {
        modal.fadeOut(function () {
          modal.remove();
        });
      });
    }
  });
})(jQuery);
